Package com.orchestranetworks.userservice

# Interface UserServiceSetupDisplayContext<S extends EntitySelection>

All Superinterfaces:
  `UserServiceInvocationContext<S>`, `UserServiceObjectContext`, `UserServiceObjectContextForInputValidation`, `UserServiceRequest`

public interface UserServiceSetupDisplayContext<S extends EntitySelection> extends UserServiceInvocationContext<S>, UserServiceRequest, UserServiceObjectContextForInputValidation
This interface provides information and utility methods useful when setting up a user service display.

Since:
  5.8.0
See Also:
  - `UserService.setupDisplay(UserServiceSetupDisplayContext, UserServiceDisplayConfigurator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPreviousTabSelected(String aTabbedPaneId)`
  Returns the id of selected tab of a tabbed pane prior to last submit or `null` if the tabbed pane was not yet submitted.

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceInvocationContext

  `getEntitySelection`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceObjectContext

  `getPermission, isDataDeleted`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceObjectContextForInputValidation

  `addError, addInfo, addMessage, addWarning, getValueContext, getValueContext`

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceRequest

  `canClose, getCurrentPerspective, getParameter, getParameterValues, getRepository, getServiceDescription, getServiceKey, getServiceLabel, getServiceModuleName, getSession, isInitialDisplay`

- ## Method Details

  - ### getPreviousTabSelected

    String getPreviousTabSelected(String aTabbedPaneId)
    Returns the id of selected tab of a tabbed pane prior to last submit or `null` if the tabbed pane was not yet submitted.
    Parameters:
      `aTabbedPaneId` - A valid id of a `tabbed pane`.
    Returns:
      the tab id selected prior to last submit or `null` if the tabbed pane was not yet submitted or if id is unknown.